%{?nodejs_find_provides_and_requires}
%global enable_tests 0

Name:       nodejs-date-propagate
Version:    0.3.0
Release:    1%{?dist}
Summary:    Propagate events from one event emitter into another
License:    MIT 
URL:        https://github.com/pgte/propagate
Source:     https://github.com/pgte/propagate/archive/v%{version}.tar.gz

BuildArch:  noarch

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
%endif

%description
Propagate events from one event emitter into another event

%prep
%setup -q -n propagate-%{version}


%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/nodejs-propagate
cp -p package.json index.js %{buildroot}%{nodejs_sitelib}/nodejs-propagate

%check
%if 0%{?enable_tests}
tap tests/index.js
%endif

%files
%doc README.md tests/
%{nodejs_sitelib}/nodejs-propagate


%changelog
* Tue Feb 3 2015 Anish Patil <apatil@redhat.com> - 0.3.0-1
- initial package
